Package org.apache.datasketches.hive.theta

## Class EstimateSketchUDF

- java.lang.Object
- - org.apache.hadoop.hive.ql.exec.UDF
  - - org.apache.datasketches.hive.theta.EstimateSketchUDF

    public class EstimateSketchUDF
    extends org.apache.hadoop.hive.ql.exec.UDF

Hive estimate sketch udf. V4

### Constructor Summary

Constructors
`EstimateSketchUDF()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Double` `evaluate​(org.apache.hadoop.io.BytesWritable binarySketch)` Returns the estimate unique count of sketch.
`Double` `evaluate​(org.apache.hadoop.io.BytesWritable binarySketch, long seed)` Returns the estimate unique count of sketch.

### Methods inherited from class org.apache.hadoop.hive.ql.exec.UDF

`getRequiredFiles, getRequiredJars, getResolver, setResolver`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EstimateSketchUDF

    public EstimateSketchUDF()

### Method Detail

#### evaluate

    public Double evaluate​(org.apache.hadoop.io.BytesWritable binarySketch)

Returns the estimate unique count of sketch.

Parameters:
  `binarySketch` - sketch to be estimated passed in as bytes writable.
Returns:
  the estimate of unique count from given sketch.

#### evaluate

    public Double evaluate​(org.apache.hadoop.io.BytesWritable binarySketch,
                           long seed)

Returns the estimate unique count of sketch.

Parameters:
  `binarySketch` - sketch to be estimated passed in as bytes writable.
  `seed` - value used to build the sketch if different from the default
Returns:
  the estimate of unique count from given sketch.